/*
 *
 * Copyright (C)  30-ao?t-2003 Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 * 
 */
package jxtray.swing;


import javax.swing.JPopupMenu;
import jxtray.JxtFrame;
import jxtray.Jxtray;

import java.awt.event.ActionListener;






public class JxtPopMenuConnection extends JPopupMenu 
 {
 		private ActionListener listener;
 		private JxtMenuItem itemClose ;
		private JxtMenuItem itemDelete ;
		private JxtMenuItem itemOpen ;
		private JxtMenuItem itemProperties ;
 		
 		
 		public JxtPopMenuConnection(JxtFrame parent, ActionListener listener )
 		{
 				this.listener = listener;
				this.setFont(Jxtray.getFont());
				
				itemClose = new JxtMenuItem(Jxtray.getLang("action.close"),listener,Jxtray.getLang("action.close"));
				itemDelete = new JxtMenuItem(Jxtray.getLang("action.delete"),listener,Jxtray.getLang("action.delete"));
				itemOpen = new JxtMenuItem(Jxtray.getLang("action.open"),listener,Jxtray.getLang("action.open"));
				itemProperties = new JxtMenuItem(Jxtray.getLang("action.properties"),listener,Jxtray.getLang("action.properties"));
				
				this.add(itemOpen);
				this.add(itemClose);
				this.addSeparator();
				this.add(itemDelete);
				this.addSeparator();
				this.add(itemProperties);

 		}
 		

}
